## mx4j.tools.adaptor.rmi
Class SSLAdaptorRMIServerSocketFactory

    java.lang.Object
      mx4j.tools.adaptor.rmi.SSLAdaptorRMIServerSocketFactory

All Implemented Interfaces:
  java.rmi.server.RMIServerSocketFactory, java.io.Serializable

public class SSLAdaptorRMIServerSocketFactory
extends java.lang.Object
implements java.rmi.server.RMIServerSocketFactory, java.io.Serializable

The SSL RMIServerSocketFactory that uses the SSLAdaptorServerSocketFactory MBean to create instances of secure ServerSockets.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`SSLAdaptorRMIServerSocketFactory(javax.management.MBeanServer server, javax.management.ObjectName factory)`
`SSLAdaptorRMIServerSocketFactory(SSLAdaptorServerSocketFactoryMBean factory)`

Method Summary
`java.net.ServerSocket` `createServerSocket(int port)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLAdaptorRMIServerSocketFactory

    public SSLAdaptorRMIServerSocketFactory(javax.management.MBeanServer server,
                                            javax.management.ObjectName factory)

### SSLAdaptorRMIServerSocketFactory

    public SSLAdaptorRMIServerSocketFactory(SSLAdaptorServerSocketFactoryMBean factory)

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
  Throws:
    `java.io.IOException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.